Debian Bug report logs - #496269
gvfs-fuse: reports ENOTCONN after heavy use

version graph

Package: gvfs-fuse; Maintainer for gvfs-fuse is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gvfs-fuse is src:gvfs.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>

Date: Sun, 24 Aug 2008 02:33:01 UTC

Severity: grave

Found in version gvfs/0.2.5-1

Fixed in version gvfs/0.2.5-1.1

Done: Thomas Viehmann <tv@beamnet.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gvfs-fuse: reports ENOTCONN after heavy use
Date: Sun, 24 Aug 2008 02:30:15 +0000
[Message part 1 (text/plain, inline)]
Package: gvfs-fuse
Version: 0.2.5-1
Severity: grave

I have all of my music on a remote machine, which I mount using gvfs
(sftp via nautilus).  I have the Amarok 2 beta (from experimental)
installed.  One of the directories that I have told Amarok is part of my
collection is a symlink to the gvfs-fuse mount.  When I tell Amarok to
rescan my collection, it gets about 2% in, and then it completes
quickly.

When I check the symlink manually, I see:

  lakeview ok % ls -l ~/audio/castro
  lrwxrwxrwx 1 bmc bmc 54 2008-07-31 13:45 /home/bmc/audio/castro -> ../.gvfs/sftp on castro/media/data/bmc/finished/music/
  lakeview ok % ls -l ~/audio/castro/
  ls: cannot access /home/bmc/audio/castro/: Transport endpoint is not connected

Obviously, Amarok "completes" the scan of my music due to the fact that
it is receiving ENOTCONN.

The only way I can unbreak gvfs-fuse is to log out and log back in
again, but the same thing happens again if I try to scan my music via
Amarok.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.27-rc3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gvfs-fuse depends on:
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libdbus-1-3                   1.2.1-3    simple interprocess messaging syst
ii  libfuse2                      2.7.3-5    Filesystem in USErspace library
ii  libglib2.0-0                  2.16.5-1   The GLib library of C routines
ii  libgvfscommon0                0.2.5-1    userspace virtual filesystem - lib

gvfs-fuse recommends no packages.

gvfs-fuse suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #10 received at 496269@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 496269@bugs.debian.org
Cc: 496269-submitter@bugs.debian.org
Subject: Please provide more infos for Bug #496269
Date: Sat, 06 Sep 2008 18:39:42 +0200
Hi,

could you please run gvfs-fuse with debug enabled (-d) and append the
last hundred lines or so?

MfG
	Goswin




Message sent on to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Bug#496269. Full text and rfc822 format available.

Information stored:
Bug#496269; Package gvfs-fuse. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #18 received at 496269-quiet@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Goswin von Brederlow <goswin-v-b@web.de>, 496269-quiet@bugs.debian.org
Subject: Re: Bug#496269: Please provide more infos for Bug #496269
Date: Sat, 6 Sep 2008 22:02:41 +0000
[Message part 1 (text/plain, inline)]
On Sat, Sep 06, 2008 at 06:39:42PM +0200, Goswin von Brederlow wrote:
>could you please run gvfs-fuse with debug enabled (-d) and append the
>last hundred lines or so?

The lines are below.  Note that a segfault occurs.

unique: 5992, opcode: LOOKUP (1), nodeid: 7, insize: 64
LOOKUP /sftp on castro/media/data/bmc/finished/music/AliceInChains-Would.mp3
   unique: 5991, error: 0 (Success), outsize: 16
   NODEID: 2181
   unique: 5992, error: 0 (Success), outsize: 136
unique: 5993, opcode: OPEN (14), nodeid: 2181, insize: 48
   unique: 5993, error: 0 (Success), outsize: 32
OPEN[22279792] flags: 0x8002 /sftp on castro/media/data/bmc/finished/music/AliceInChains-Would.mp3
unique: 5994, opcode: READ (15), nodeid: 2181, insize: 80
READ[22279792] 16384 bytes from 0
   READ[22279792] 16384 bytes
   unique: 5994, error: 0 (Success), outsize: 16400
unique: 5995, opcode: GETATTR (3), nodeid: 2181, insize: 56
   unique: 5995, error: 0 (Success), outsize: 112
unique: 5996, opcode: READ (15), nodeid: 2181, insize: 80
READ[22279792] 4096 bytes from 3317760
   READ[22279792] 514 bytes
   unique: 5996, error: 0 (Success), outsize: 530
unique: 5997, opcode: GETATTR (3), nodeid: 2181, insize: 56
   unique: 5997, error: 0 (Success), outsize: 112
unique: 5998, opcode: READ (15), nodeid: 2181, insize: 80
READ[22279792] 4096 bytes from 3313664
   READ[22279792] 4096 bytes
   unique: 5998, error: 0 (Success), outsize: 4112
unique: 5999, opcode: GETATTR (3), nodeid: 2181, insize: 56
   unique: 5999, error: 0 (Success), outsize: 112
unique: 6000, opcode: OPEN (14), nodeid: 2181, insize: 48
   unique: 6000, error: 0 (Success), outsize: 32
OPEN[22279792] flags: 0x8002 /sftp on castro/media/data/bmc/finished/music/AliceInChains-Would.mp3
unique: 6001, opcode: READ (15), nodeid: 2181, insize: 80
READ[22279792] 16384 bytes from 0
   READ[22279792] 16384 bytes
   unique: 6001, error: 0 (Success), outsize: 16400
unique: 6002, opcode: GETATTR (3), nodeid: 2181, insize: 56
   unique: 6002, error: 0 (Success), outsize: 112
unique: 6003, opcode: READ (15), nodeid: 2181, insize: 80
READ[22279792] 4096 bytes from 3317760
   READ[22279792] 514 bytes
   unique: 6003, error: 0 (Success), outsize: 530
unique: 6004, opcode: GETATTR (3), nodeid: 2181, insize: 56
   unique: 6004, error: 0 (Success), outsize: 112
unique: 6005, opcode: READ (15), nodeid: 2181, insize: 80
READ[22279792] 4096 bytes from 3313664
   READ[22279792] 4096 bytes
   unique: 6005, error: 0 (Success), outsize: 4112
unique: 6006, opcode: GETATTR (3), nodeid: 2181, insize: 56
   unique: 6006, error: 0 (Success), outsize: 112
unique: 6007, opcode: OPEN (14), nodeid: 2181, insize: 48
   unique: 6007, error: 0 (Success), outsize: 32
OPEN[22279792] flags: 0x8000 /sftp on castro/media/data/bmc/finished/music/AliceInChains-Would.mp3
unique: 6008, opcode: READ (15), nodeid: 2181, insize: 80
READ[22279792] 16384 bytes from 0
   READ[22279792] 16384 bytes
   unique: 6008, error: 0 (Success), outsize: 16400
unique: 6009, opcode: READ (15), nodeid: 2181, insize: 80
READ[22279792] 32768 bytes from 16384
unique: 6010, opcode: GETATTR (3), nodeid: 2181, insize: 56
   READ[22279792] 32768 bytes
   unique: 6009, error: 0 (Success), outsize: 32784
   unique: 6010, error: 0 (Success), outsize: 112
unique: 6011, opcode: FLUSH (25), nodeid: 2181, insize: 64
FLUSH[22279792]
   unique: 6011, error: 0 (Success), outsize: 16
unique: 6012, opcode: RELEASE (18), nodeid: 2181, insize: 64
RELEASE[22279792] flags: 0x8000
   unique: 6012, error: 0 (Success), outsize: 16
unique: 6013, opcode: FLUSH (25), nodeid: 2181, insize: 64
FLUSH[22279792]
   unique: 6013, error: 0 (Success), outsize: 16
unique: 6014, opcode: RELEASE (18), nodeid: 2181, insize: 64
RELEASE[22279792] flags: 0x8002
   unique: 6014, error: 0 (Success), outsize: 16
unique: 6015, opcode: FLUSH (25), nodeid: 2181, insize: 64
FLUSH[22279792]
   unique: 6015, error: 0 (Success), outsize: 16
unique: 6016, opcode: RELEASE (18), nodeid: 2181, insize: 64
RELEASE[22279792] flags: 0x8002
unique: 6017, opcode: LOOKUP (1), nodeid: 7, insize: 62
LOOKUP /sftp on castro/media/data/bmc/finished/music/AlkalineTrio-Burn.mp3
   unique: 6016, error: 0 (Success), outsize: 16
   NODEID: 2121
   unique: 6017, error: 0 (Success), outsize: 136
unique: 6018, opcode: OPEN (14), nodeid: 2121, insize: 48
   unique: 6018, error: 0 (Success), outsize: 32
OPEN[22286752] flags: 0x8002 /sftp on castro/media/data/bmc/finished/music/AlkalineTrio-Burn.mp3
unique: 6019, opcode: READ (15), nodeid: 2121, insize: 80
READ[22286752] 16384 bytes from 0
   READ[22286752] 16384 bytes
   unique: 6019, error: 0 (Success), outsize: 16400
unique: 6020, opcode: GETATTR (3), nodeid: 2121, insize: 56
   unique: 6020, error: 0 (Success), outsize: 112
unique: 6021, opcode: READ (15), nodeid: 2121, insize: 80
READ[22286752] 4096 bytes from 5971968
   READ[22286752] 2593 bytes
   unique: 6021, error: 0 (Success), outsize: 2609
unique: 6022, opcode: GETATTR (3), nodeid: 2121, insize: 56
   unique: 6022, error: 0 (Success), outsize: 112
unique: 6023, opcode: READ (15), nodeid: 2121, insize: 80
READ[22286752] 32768 bytes from 16384
unique: 6024, opcode: OPEN (14), nodeid: 2121, insize: 48
zsh: segmentation fault  /usr/lib/gvfs//gvfs-fuse-daemon -d /home/bmc/.gvfs 2>&1 | 
zsh: done                tee /tmp/foo


-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#496269; Package gvfs-fuse. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 496269-quiet@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Cc: 496269-quiet@bugs.debian.org
Subject: Re: Bug#496269: Please provide more infos for Bug #496269
Date: Tue, 09 Sep 2008 10:41:42 +0200
"brian m. carlson" <sandals@crustytoothpaste.ath.cx> writes:

> On Sat, Sep 06, 2008 at 06:39:42PM +0200, Goswin von Brederlow wrote:
>>could you please run gvfs-fuse with debug enabled (-d) and append the
>>last hundred lines or so?
>
> The lines are below.  Note that a segfault occurs.
>
> OPEN[22286752] flags: 0x8002 /sftp on castro/media/data/bmc/finished/music/AlkalineTrio-Burn.mp3
> unique: 6019, opcode: READ (15), nodeid: 2121, insize: 80
> READ[22286752] 16384 bytes from 0
>    READ[22286752] 16384 bytes
>    unique: 6019, error: 0 (Success), outsize: 16400
> unique: 6020, opcode: GETATTR (3), nodeid: 2121, insize: 56
>    unique: 6020, error: 0 (Success), outsize: 112
> unique: 6021, opcode: READ (15), nodeid: 2121, insize: 80
> READ[22286752] 4096 bytes from 5971968
>    READ[22286752] 2593 bytes
>    unique: 6021, error: 0 (Success), outsize: 2609
> unique: 6022, opcode: GETATTR (3), nodeid: 2121, insize: 56
>    unique: 6022, error: 0 (Success), outsize: 112
> unique: 6023, opcode: READ (15), nodeid: 2121, insize: 80
> READ[22286752] 32768 bytes from 16384
> unique: 6024, opcode: OPEN (14), nodeid: 2121, insize: 48
> zsh: segmentation fault  /usr/lib/gvfs//gvfs-fuse-daemon -d
> /home/bmc/.gvfs 2>&1 | zsh: done                tee /tmp/foo

I thought something like that happened. That is usualy the case for a
fuse filesystem to just disconnect.

Could you run

gdb /usr/lib/gvfs//gvfs-fuse-daemon
r /home/bmc/.gvfs

get it to segfault and then get a stack backtrace (bt) to see where it
segfaults. The best would be if you could compile gvfs-fuse with

export DEB_BUID_OPTIONS=nostrip
dpkg-buildpackage

which should keep the debug infos in the binaries.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #28 received at 496269@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 496269@bugs.debian.org
Subject: Debug output for gvfs-fuse
Date: Tue, 9 Sep 2008 21:26:09 +0000
[Message part 1 (text/plain, inline)]
A stack backtrace is attached, although I suspect it will not be very
useful, since the segfault occurs in malloc_consolidate.  I'll try to
run gvfs-fuse-daemon under valgrind to see if that produces anything
useful.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[gvfs-log (text/plain, inline)]
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Attaching to process 17682
Reading symbols from /usr/lib/gvfs/gvfs-fuse-daemon...done.
Reading symbols from /usr/lib/libgvfscommon.so.0...done.
Loaded symbols for /usr/lib/libgvfscommon.so.0
Reading symbols from /usr/lib/libgthread-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgthread-2.0.so.0.1600.5...done.
done.
Loaded symbols for /usr/lib/libgthread-2.0.so.0
Reading symbols from /usr/lib/libgio-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgio-2.0.so.0.0.0...done.
done.
Loaded symbols for /usr/lib/libgio-2.0.so.0
Reading symbols from /usr/lib/libgobject-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgobject-2.0.so.0.1600.5...done.
done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libgmodule-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libgmodule-2.0.so.0.1600.5...done.
done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /usr/lib/libglib-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib/libglib-2.0.so.0.1600.5...done.
done.
Loaded symbols for /usr/lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libdbus-1.so.3...done.
Loaded symbols for /usr/lib/libdbus-1.so.3
Reading symbols from /usr/lib/libfuse.so.2...done.
Loaded symbols for /usr/lib/libfuse.so.2
Reading symbols from /lib/librt.so.1...Reading symbols from /usr/lib/debug/lib/librt-2.7.so...done.
done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libdl.so.2...Reading symbols from /usr/lib/debug/lib/libdl-2.7.so...done.
done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libutil.so.1...Reading symbols from /usr/lib/debug/lib/libutil-2.7.so...done.
done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /lib/libpthread.so.0...Reading symbols from /usr/lib/debug/lib/libpthread-2.7.so...done.
[Thread debugging using libthread_db enabled]
[New Thread 0x7ff302ada770 (LWP 17682)]
[New Thread 0x41780950 (LWP 17685)]
[New Thread 0x40f7f950 (LWP 17684)]
[New Thread 0x427ff950 (LWP 17683)]
done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libc.so.6...Reading symbols from /usr/lib/debug/lib/libc-2.7.so...done.
done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/libselinux.so.1...done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /usr/lib/libpcre.so.3...done.
Loaded symbols for /usr/lib/libpcre.so.3
Reading symbols from /lib/ld-linux-x86-64.so.2...Reading symbols from /usr/lib/debug/lib/ld-2.7.so...done.
done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib/gio/modules/libgvfsdbus.so...done.
Loaded symbols for /usr/lib/gio/modules/libgvfsdbus.so
0x00007ff300edabe1 in sem_wait () from /lib/libpthread.so.0
(gdb) c
Continuing.
[New Thread 0x41f81950 (LWP 17777)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x40f7f950 (LWP 17684)]
0x00007ff300beea3b in malloc_consolidate () from /lib/libc.so.6
(gdb) thread apply all bt

Thread 5 (Thread 0x41f81950 (LWP 17777)):
#0  0x00007ff300edb7eb in read () from /lib/libpthread.so.0
#1  0x00007ff301709cfe in ?? () from /usr/lib/libfuse.so.2
#2  0x00007ff30170a0ac in ?? () from /usr/lib/libfuse.so.2
#3  0x00007ff300ed4fc7 in start_thread () from /lib/libpthread.so.0
#4  0x00007ff300c4a7cd in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x427ff950 (LWP 17683)):
#0  0x00007ff300c41d96 in poll () from /lib/libc.so.6
#1  0x00007ff30193ea98 in ?? () from /usr/lib/libdbus-1.so.3
#2  0x00007ff30193ced4 in ?? () from /usr/lib/libdbus-1.so.3
#3  0x00007ff301929dae in ?? () from /usr/lib/libdbus-1.so.3
#4  0x00007ff30192bf9a in ?? () from /usr/lib/libdbus-1.so.3
#5  0x00007ff30192b0fc in dbus_connection_send_with_reply_and_block () from /usr/lib/libdbus-1.so.3
#6  0x00007ff300527688 in _g_vfs_daemon_call_sync (message=0x13529b0, connection_out=0x427fee08, callback_obj_path=0x0, callback=0, 
    callback_user_data=<value optimized out>, cancellable=0x0, error=0x427fecb8) at gvfsdaemondbus.c:809
#7  0x00007ff30051ec90 in do_sync_path_call (file=0x134c780, op=0x7ff3005300fe "OpenForWrite", mount_info_out=0x0, connection_out=0x427fee08, 
    cancellable=0x0, error=0x427fee50, first_arg_type=113) at gdaemonfile.c:417
#8  0x00007ff300520772 in g_daemon_file_append_to (file=0x427fea00, flags=<value optimized out>, cancellable=<value optimized out>, 
    error=0x427fee50) at gdaemonfile.c:1035
#9  0x00000000004034c3 in setup_output_stream (file=0x134c780, fh=0x13d4a90) at gvfsfusedaemon.c:910
#10 0x0000000000404bf8 in vfs_open (path=0x13d4470 "/sftp on castro/media/data/bmc/finished/music/01 - One Headlight.ogg", fi=0x427ff040)
    at gvfsfusedaemon.c:963
#11 0x00007ff301702f8e in fuse_fs_open () from /usr/lib/libfuse.so.2
#12 0x00007ff3017086f2 in ?? () from /usr/lib/libfuse.so.2
#13 0x00007ff30170adf6 in ?? () from /usr/lib/libfuse.so.2
#14 0x00007ff30170a10f in ?? () from /usr/lib/libfuse.so.2
#15 0x00007ff300ed4fc7 in start_thread () from /lib/libpthread.so.0
#16 0x00007ff300c4a7cd in clone () from /lib/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x40f7f950 (LWP 17684)):
#0  0x00007ff300beea3b in malloc_consolidate () from /lib/libc.so.6
#1  0x00007ff300bf12e6 in _int_malloc () from /lib/libc.so.6
#2  0x00007ff300bf2a98 in malloc () from /lib/libc.so.6
#3  0x00007ff300b99d30 in __gconv_open () from /lib/libc.so.6
#4  0x00007ff300b996be in iconv_open () from /lib/libc.so.6
#5  0x00007ff301b7bf89 in try_conversion (to_codeset=0x7ff300ec99e0 "\001", from_codeset=0x7f80 <Address 0x7f80 out of bounds>, cd=0x13d54e0)
    at /build/buildd/glib2.0-2.16.5/glib/gconvert.c:71
#6  0x00007ff301b7bfd2 in IA__g_iconv_open (to_codeset=0x7ff300ec99e0 "\001", from_codeset=0x7f80 <Address 0x7f80 out of bounds>)
    at /build/buildd/glib2.0-2.16.5/glib/gconvert.c:123
#7  0x00007ff301b7c56b in open_converter (to_codeset=0x7ff300ec99e0 "\001", from_codeset=0x7f80 <Address 0x7f80 out of bounds>, 
    error=0x13d54e0) at /build/buildd/glib2.0-2.16.5/glib/gconvert.c:500
#8  0x00007ff301b7c9bb in IA__g_convert (str=0x13d7160 "g_input_stream_clear_pending: assertion `G_IS_INPUT_STREAM (stream)' failed", len=75, 
    to_codeset=0x31 <Address 0x31 out of bounds>, from_codeset=0x13d5fb0 "\005", bytes_read=0x0, bytes_written=0x0, error=0x40f7e710)
    at /build/buildd/glib2.0-2.16.5/glib/gconvert.c:738
#9  0x00007ff301b7cedd in IA__g_convert_with_fallback (
    str=0x13d7160 "g_input_stream_clear_pending: assertion `G_IS_INPUT_STREAM (stream)' failed", len=75, 
    to_codeset=0x13cbad0 "ANSI_X3.4-1968", from_codeset=0x7ff301bcc0bf "UTF-8", fallback=0x7ff301bd6fff "?", bytes_read=0x0, 
    bytes_written=0x0, error=0x40f7e790) at /build/buildd/glib2.0-2.16.5/glib/gconvert.c:834
#10 0x00007ff301b9b8b6 in strdup_convert (string=0x13d7160 "g_input_stream_clear_pending: assertion `G_IS_INPUT_STREAM (stream)' failed", 
    charset=0x13cbad0 "ANSI_X3.4-1968") at /build/buildd/glib2.0-2.16.5/glib/gmessages.c:614
#11 0x00007ff301b9bf7d in IA__g_log_default_handler (log_domain=0x7ff3022b6272 "GLib-GIO", log_level=G_LOG_LEVEL_CRITICAL, 
    message=<value optimized out>, unused_data=<value optimized out>) at /build/buildd/glib2.0-2.16.5/glib/gmessages.c:936
#12 0x00007ff301b9c229 in IA__g_logv (log_domain=0x7ff3022b6272 "GLib-GIO", log_level=G_LOG_LEVEL_CRITICAL, 
    format=0x7ff301bd2237 "%s: assertion `%s' failed", args1=0x40f7ecf0) at /build/buildd/glib2.0-2.16.5/glib/gmessages.c:474
#13 0x00007ff301b9c583 in IA__g_log (log_domain=0x7ff300ec99e0 "\001", log_level=32640, format=0x13d54e0 "0\002)\002รณ\177")
    at /build/buildd/glib2.0-2.16.5/glib/gmessages.c:517
#14 0x00007ff302291e00 in IA__g_input_stream_read (stream=0x135fc50, buffer=0x13d4ad0, count=16, cancellable=0x0, error=0x40f7ee58)
    at /build/buildd/glib2.0-2.16.5/gio/ginputstream.c:210
#15 0x00007ff3005216f2 in run_sync_state_machine (file=0x135f0a0, iterator=0x7ff300521bd0 <iterate_seek_state_machine>, data=0x40f7eea0, 
    cancellable=0x0, error=0x40f7ef60) at gdaemonfileinputstream.c:415
#16 0x00007ff300521956 in g_daemon_file_input_stream_seek (stream=<value optimized out>, offset=16384, type=G_SEEK_SET, cancellable=0x0, 
    error=0x40f7ef60) at gdaemonfileinputstream.c:1223
#17 0x00007ff30228d83f in g_file_input_stream_seekable_seek (seekable=0x135f0a0, offset=16384, type=G_SEEK_SET, cancellable=0x0, 
    error=0x40f7ef60) at /build/buildd/glib2.0-2.16.5/gio/gfileinputstream.c:346
#18 0x0000000000404ab2 in vfs_read (path=<value optimized out>, buf=0x13db800 "OggS", size=32768, offset=16384, fi=<value optimized out>)
    at gvfsfusedaemon.c:1108
#19 0x00007ff301707f25 in ?? () from /usr/lib/libfuse.so.2
#20 0x00007ff30170b789 in ?? () from /usr/lib/libfuse.so.2
#21 0x00007ff30170a10f in ?? () from /usr/lib/libfuse.so.2
#22 0x00007ff300ed4fc7 in start_thread () from /lib/libpthread.so.0
#23 0x00007ff300c4a7cd in clone () from /lib/libc.so.6
#24 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x41780950 (LWP 17685)):
#0  0x00007ff300c41d96 in poll () from /lib/libc.so.6
#1  0x00007ff301b95eb8 in g_main_context_iterate (context=0x1340e20, block=1, dispatch=1, self=<value optimized out>)
    at /build/buildd/glib2.0-2.16.5/glib/gmain.c:2954
#2  0x00007ff301b9654d in IA__g_main_loop_run (loop=0x134d920) at /build/buildd/glib2.0-2.16.5/glib/gmain.c:2853
#3  0x0000000000403f98 in subthread_main (data=<value optimized out>) at gvfsfusedaemon.c:2030
#4  0x00007ff301bbb4d4 in g_thread_create_proxy (data=0x134d080) at /build/buildd/glib2.0-2.16.5/glib/gthread.c:635
#5  0x00007ff300ed4fc7 in start_thread () from /lib/libpthread.so.0
#6  0x00007ff300c4a7cd in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff302ada770 (LWP 17682)):
#0  0x00007ff300edabe1 in sem_wait () from /lib/libpthread.so.0
#1  0x00007ff30170a29d in fuse_session_loop_mt () from /usr/lib/libfuse.so.2
#2  0x00007ff30170e420 in ?? () from /usr/lib/libfuse.so.2
#3  0x00007ff300b991a6 in __libc_start_main () from /lib/libc.so.6
#4  0x0000000000402ef9 in _start ()
#0  0x00007ff300beea3b in malloc_consolidate () from /lib/libc.so.6
(gdb) q
The program is running.  Quit anyway (and detach it)? (y or n) 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #33 received at 496269@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 496269@bugs.debian.org
Subject: Valgrind log for gvfs-fuse
Date: Tue, 9 Sep 2008 21:39:13 +0000
[Message part 1 (text/plain, inline)]
==18341== Thread 3:
==18341== Invalid read of size 8
==18341==    at 0x83E8726: run_sync_state_machine (gdaemonfileinputstream.c:450)
==18341==    by 0x83E8A4D: g_daemon_file_input_stream_read (gdaemonfileinputstream.c:728)
==18341==    by 0x5269E1E: g_input_stream_read (ginputstream.c:205)
==18341==    by 0x5269F89: g_input_stream_read_all (ginputstream.c:257)
==18341==    by 0x404994: vfs_read (gvfsfusedaemon.c:1159)
==18341==    by 0x5DFFF24: (within /usr/lib/libfuse.so.2.7.3)
==18341==    by 0x5E03788: (within /usr/lib/libfuse.so.2.7.3)
==18341==    by 0x5E0210E: (within /usr/lib/libfuse.so.2.7.3)
==18341==    by 0x6629FC6: start_thread (pthread_create.c:297)
==18341==    by 0x690E7CC: clone (in /usr/lib/debug/libc-2.7.so)
==18341==  Address 0x8 is not stack'd, malloc'd or (recently) free'd
==18341== 
==18341== Process terminating with default action of signal 11 (SIGSEGV)
==18341==  Access not within mapped region at address 0x8
==18341==    at 0x83E8726: run_sync_state_machine (gdaemonfileinputstream.c:450)
==18341==    by 0x83E8A4D: g_daemon_file_input_stream_read (gdaemonfileinputstream.c:728)
==18341==    by 0x5269E1E: g_input_stream_read (ginputstream.c:205)
==18341==    by 0x5269F89: g_input_stream_read_all (ginputstream.c:257)
==18341==    by 0x404994: vfs_read (gvfsfusedaemon.c:1159)
==18341==    by 0x5DFFF24: (within /usr/lib/libfuse.so.2.7.3)
==18341==    by 0x5E03788: (within /usr/lib/libfuse.so.2.7.3)
==18341==    by 0x5E0210E: (within /usr/lib/libfuse.so.2.7.3)
==18341==    by 0x6629FC6: start_thread (pthread_create.c:297)
==18341==    by 0x690E7CC: clone (in /usr/lib/debug/libc-2.7.so)
==18341== 
==18341== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 8 from 1)
==18341== malloc/free: in use at exit: 1,569,439 bytes in 6,488 blocks.
==18341== malloc/free: 1,264,464 allocs, 1,257,976 frees, 50,096,945 bytes allocated.
==18341== For counts of detected errors, rerun with: -v
==18341== searching for pointers to 6,488 not-freed blocks.
==18341== checked 51,242,600 bytes.
==18341== 
==18341== LEAK SUMMARY:
==18341==    definitely lost: 8 bytes in 4 blocks.
==18341==      possibly lost: 25,008 bytes in 47 blocks.
==18341==    still reachable: 1,544,423 bytes in 6,437 blocks.
==18341==         suppressed: 0 bytes in 0 blocks.
==18341== Rerun with --leak-check=full to see details of leaked memory.


-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. (Wed, 24 Sep 2008 08:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Wed, 24 Sep 2008 08:51:02 GMT) Full text and rfc822 format available.

Message #38 received at 496269@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 496269@bugs.debian.org
Cc: Goswin von Brederlow <goswin-v-b@web.de>, "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Subject: possible cause of gvfs-fuse crash.
Date: Wed, 24 Sep 2008 10:54:00 +0200
Hello!

Very good information in the bugreport. I've had a quick look at it
and here's my guess .... I'm probably totally wrong, and even if I'm right
the real fix is still unknown.

Both the valgrind run and the backtrace of the thread which gets the segfault 
contains run_sync_state_machine. In the backtrace there's also an assertion
failure visible!

"g_input_stream_clear_pending: assertion `G_IS_INPUT_STREAM (stream)' failed"

The backtrace says we're doing a g_input_stream_read and Valgrind complains
on line 450, which means res == -1.

Combining these clews I think g_input_stream_read was called with a
file->data_stream which for some reason is not a valid input stream,
the first thing g_input_stream_read does is return -1 if this assertion fails,
so io_error will still be NULL. On line 450 io_error is then dereferenced by
io_error->message. An ugly fix might be to check if io_error is NULL before
dereferencing it, but the real fix would be to figure out why the assertion
fails! (Why is file->data_stream not a valid stream?)

-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. (Tue, 14 Oct 2008 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Tue, 14 Oct 2008 17:15:02 GMT) Full text and rfc822 format available.

Message #43 received at 496269@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 496269@bugs.debian.org
Subject: for the record, gvfs-fuse bug discussion from #nautilus.
Date: Tue, 14 Oct 2008 19:17:29 +0200
for what it's worth, here's a short snippet from #nautilus discussing
the status of this bug with upstream:

10:51 < fatal> alex: has there been any news on
http://mail.gnome.org/archives/gvfs-list/2008-October/msg00020.html ?
10:51 < alex> hpj is supposed to be trying to track it down
10:51 < fatal> It looks similar to http://bugs.debian.org/496269 .... note the
               assertion failure.
10:51 < alex> Seems to be some kind of race or memory corruption bug in the
              fuse backend
10:52 < alex> Its kinda hard to debug since we can't reproduce it easily though
10:52 < alex> Maybe i should just try amarok
10:53 < fatal> I haven't reproduced it either, but he amarok way that is used
               by the debian bug reporter might be a good stresstest. :)
10:53 < alex> that seems to be what alexey use too


10:54 < alex> fatal: your comment at the end is correct
10:54 < alex> fatal: and in fact, such a error != NULL check is in svn
10:54 < alex> fatal: but that merely makes us run a short while more


10:55 < alex> file->data_stream shouldn't be NULL or invalid while the file
              lives though (set on initialize, unref:ed on finalize)
10:55 < alex> so, we believe there is either a corruption bug
10:55 < alex> or the file is unreffed in another thread while the read is
              running in another thread.


10:57  * alex finds amarok2 src rpm
12:19 < alex> man, i needed to build a new mysql to get amarok2 going
12:20 < alex> the mysql test suite is run on build....
12:20 < alex> Its... not... fast...

-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. (Mon, 20 Oct 2008 09:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Mon, 20 Oct 2008 09:48:07 GMT) Full text and rfc822 format available.

Message #48 received at 496269@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 496269@bugs.debian.org
Subject: relevant upstream gvfs-fuse commit.
Date: Mon, 20 Oct 2008 11:20:19 +0200
see upstream revision 2056 for possible fix:
http://svn.gnome.org/viewvc/gvfs?view=revision&revision=2056

-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. (Sat, 25 Oct 2008 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sat, 25 Oct 2008 14:09:07 GMT) Full text and rfc822 format available.

Message #53 received at 496269@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Cc: Andreas Henriksson <andreas@fatal.se>, 496269@bugs.debian.org
Subject: Re: Bug#496269: relevant upstream gvfs-fuse commit.
Date: Sat, 25 Oct 2008 14:07:41 +0000
On Mon, Oct 20, 2008 at 11:20:19AM +0200, Andreas Henriksson wrote:
> see upstream revision 2056 for possible fix:
> http://svn.gnome.org/viewvc/gvfs?view=revision&revision=2056

Brian, can you test the packages at

http://people.debian.org/~schizo/gvfs/

and see if that patch helps with your problem?




Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. (Sat, 25 Oct 2008 18:51:26 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. (Sat, 25 Oct 2008 18:51:26 GMT) Full text and rfc822 format available.

Message #58 received at 496269-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 496269-close@bugs.debian.org
Subject: Bug#496269: fixed in gvfs 0.2.5-1.1
Date: Sat, 25 Oct 2008 18:47:03 +0000
Source: gvfs
Source-Version: 0.2.5-1.1

We believe that the bug you reported is fixed in the latest version of
gvfs, which is due to be installed in the Debian FTP archive:

gvfs-backends_0.2.5-1.1_i386.deb
  to pool/main/g/gvfs/gvfs-backends_0.2.5-1.1_i386.deb
gvfs-bin_0.2.5-1.1_i386.deb
  to pool/main/g/gvfs/gvfs-bin_0.2.5-1.1_i386.deb
gvfs-fuse_0.2.5-1.1_i386.deb
  to pool/main/g/gvfs/gvfs-fuse_0.2.5-1.1_i386.deb
gvfs_0.2.5-1.1.diff.gz
  to pool/main/g/gvfs/gvfs_0.2.5-1.1.diff.gz
gvfs_0.2.5-1.1.dsc
  to pool/main/g/gvfs/gvfs_0.2.5-1.1.dsc
gvfs_0.2.5-1.1_i386.deb
  to pool/main/g/gvfs/gvfs_0.2.5-1.1_i386.deb
libgvfscommon-dev_0.2.5-1.1_i386.deb
  to pool/main/g/gvfs/libgvfscommon-dev_0.2.5-1.1_i386.deb
libgvfscommon0_0.2.5-1.1_i386.deb
  to pool/main/g/gvfs/libgvfscommon0_0.2.5-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 496269@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated gvfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Oct 2008 09:29:53 -0400
Source: gvfs
Binary: libgvfscommon0 libgvfscommon-dev gvfs gvfs-fuse gvfs-backends gvfs-bin
Architecture: source i386
Version: 0.2.5-1.1
Distribution: unstable
Urgency: high
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 gvfs       - userspace virtual filesystem - server
 gvfs-backends - userspace virtual filesystem - backends
 gvfs-bin   - userspace virtual filesystem - binaries
 gvfs-fuse  - userspace virtual filesystem - fuse server
 libgvfscommon-dev - userspace virtual filesystem - development files
 libgvfscommon0 - userspace virtual filesystem - library
Closes: 496269
Changes: 
 gvfs (0.2.5-1.1) unstable; urgency=high
 .
   * NMU
   * Apply upstream SVN r1819 - "(reindex_file_handle_for_path): Steal the old
     file handle record from the global hash table before replacing its path,
     not after."
   * Apply upstream SVN r1822: "(vfs_create): Hold the file handle lock while
     opening the stream."
   * Apply upstream SVN r1844: "Don't call statvfs on /."
   * Apply upstream SVN r1854: "Avoid a race between the subthread and the
     main thread in the case of dbus going bye-bye."
   * Apply part of r2052: "Set st_blocks & co so that du works."
   * Apply upstream SVN r2056: "Attempt to prevent potential race conditions in
     the FUSE backend when file handles get closed while still in use in
     another thread, if that ever happens."  closes: #496269.
Checksums-Sha1: 
 776474374083836f0f476c4279535cb8878a7172 1573 gvfs_0.2.5-1.1.dsc
 8ecb34011d17bc22c0f737432bd8b555783ce54d 7453 gvfs_0.2.5-1.1.diff.gz
 48e39d39e63d42425e206ed6af711997d4e0c67c 62970 libgvfscommon0_0.2.5-1.1_i386.deb
 c85157c8876c21884ff7d1c72ccecc3ccfc3ea22 40050 libgvfscommon-dev_0.2.5-1.1_i386.deb
 f1ef94904e436fe6e856fd9b03c74977278c481a 405142 gvfs_0.2.5-1.1_i386.deb
 155d004beb4696493b63f55d6a4abc6176ead332 49846 gvfs-fuse_0.2.5-1.1_i386.deb
 9b53897a93855caa13d613fa05945a145c56acf8 769894 gvfs-backends_0.2.5-1.1_i386.deb
 e6c72d3792017df49ac8e3f9a83fa65f166c768a 70678 gvfs-bin_0.2.5-1.1_i386.deb
Checksums-Sha256: 
 d85b22fda16a521c94965693614e0a2c7fd58b76cf6bb87111a55e35ff1959ed 1573 gvfs_0.2.5-1.1.dsc
 6de8517824cd0ed2cad8544213930469d93e637aaf0d02b3f71e785a846661d6 7453 gvfs_0.2.5-1.1.diff.gz
 81c906702c61cc2810145305506e2f194b493d18871f9825cf9844f7ac57cf6b 62970 libgvfscommon0_0.2.5-1.1_i386.deb
 2a655c403d9a694124e4738982a1ee0885f508353b74dec01b1a240374edae92 40050 libgvfscommon-dev_0.2.5-1.1_i386.deb
 61963472f7606bb5766838365e8eed4c3952e4b16baf0f9e8b43798486cde704 405142 gvfs_0.2.5-1.1_i386.deb
 11bb7118c80282d0e32080da9a7d1c27dd52ec0782d7a77c897db437e09b5706 49846 gvfs-fuse_0.2.5-1.1_i386.deb
 d06f3d58cf52549c40bcc73396585a573a97588cd9bea04042478d75d7f93235 769894 gvfs-backends_0.2.5-1.1_i386.deb
 9802615055e18e4766732d0657cca3cf46066c189066ab8c1b8ff00079a3ef82 70678 gvfs-bin_0.2.5-1.1_i386.deb
Files: 
 c8427a1ce80dce493073bbb723a5124c 1573 libs optional gvfs_0.2.5-1.1.dsc
 b66e9aa891a655618e22fb3a1c43c692 7453 libs optional gvfs_0.2.5-1.1.diff.gz
 c7ea2a261553a8fe812e33d83e7dbe94 62970 libs optional libgvfscommon0_0.2.5-1.1_i386.deb
 a874f89fe7e3a1311491e42d8d41ee36 40050 libdevel optional libgvfscommon-dev_0.2.5-1.1_i386.deb
 1997ef969a8e11784aa4a6e574529e47 405142 libs optional gvfs_0.2.5-1.1_i386.deb
 f592f449981f08ebf2ad706b811ec973 49846 libs optional gvfs-fuse_0.2.5-1.1_i386.deb
 a34b9e070be780e5a10389c322f20983 769894 libs optional gvfs-backends_0.2.5-1.1_i386.deb
 51a9f81849fa97df433108948304b124 70678 libs optional gvfs-bin_0.2.5-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Debian!

iD8DBQFJA2je5m0u66uWM3ARAp3XAJoCLgM9GX56YEz3NgSu9EuwHK1rrgCfSRaP
EO7/+SBAvi0u1KVKQ1hI30I=
=0Iad
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. (Tue, 28 Oct 2008 17:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Tue, 28 Oct 2008 17:24:02 GMT) Full text and rfc822 format available.

Message #63 received at 496269@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 502725-done@bugs.debian.org
Cc: Mark Purcell <msp@debian.org>, debian-release@lists.debian.org, Clint Adams <schizo@debian.org>, 496269@bugs.debian.org, control@bugs.debian.org
Subject: good and bad news about gvfs and Clint's NMU
Date: Tue, 28 Oct 2008 18:21:48 +0100
Version: 0.2.5-1.1

reopen 496269
notfixed 496269 0.2.5-1.1
found 496269 0.2.5-1.1

Hi,

the bug I reported (#502725) is indeed fixed with Clint's NMU, thanks. I
should note that gvfs-fuse-daemon still hangs on heavy use (i.e. #496269
is not fixed, demonstration: run my test script from #502725 on
~/.gvfs/sftp on localhost/path/to/debian-mirror for a while. The ~/.gvfs
will hang while ls-gvfs still works as expected). Note that testing with
localtest may be tricky: I have found that localtest crashes much faster
and that for those gvfs-ls then also stops working (hinting at a bug in
either gvfsd or the localtest backend, the latter evidence making the
backend more suspicious because accessing other mounts still works, but
that is no proof).

Kind regards

T.
-- 
Thomas Viehmann, http://thomas.viehmann.net/




Bug reopened, originator not changed. Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Tue, 28 Oct 2008 17:24:03 GMT) Full text and rfc822 format available.

Bug no longer marked as fixed in version 0.2.5-1.1. Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Tue, 28 Oct 2008 17:24:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.2.5-1.1. Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Tue, 28 Oct 2008 17:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#496269; Package gvfs-fuse. (Tue, 28 Oct 2008 18:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Tue, 28 Oct 2008 18:39:02 GMT) Full text and rfc822 format available.

Message #74 received at 496269@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 496269@bugs.debian.org
Cc: Mark Purcell <msp@debian.org>, debian-release@lists.debian.org, Clint Adams <schizo@debian.org>, control@bugs.debian.org
Subject: Re: good and bad news about gvfs and Clint's NMU
Date: Tue, 28 Oct 2008 19:35:46 +0100
close 496269 0.2.5-1.1
fixed 496269 0.2.5-1.1
notfound 496269 0.2.5-1.1
thanks

> the bug I reported (#502725) is indeed fixed with Clint's NMU, thanks. I
> should note that gvfs-fuse-daemon still hangs on heavy use (i.e. #496269
> is not fixed, demonstration: run my test script from #502725 on
> ~/.gvfs/sftp on localhost/path/to/debian-mirror for a while. The ~/.gvfs
> will hang while ls-gvfs still works as expected). Note that testing with
> localtest may be tricky: I have found that localtest crashes much faster
> and that for those gvfs-ls then also stops working (hinting at a bug in
> either gvfsd or the localtest backend, the latter evidence making the
> backend more suspicious because accessing other mounts still works, but
> that is no proof).
Aparently it is not that easy to make gvfs-fuse-daemon unresponsive
without a broken gvfs-mount. That seems good enough to call the issue
solved. I still think accessing ~/.gvfs/non-broken-mount/foo should work
even when ~/.gvfs/mount-with-broken-backend/foo fails (it does with
0.2.5-1.1 when not using the fuse-daemon, but gvfs-fuse-daemon will
hang), but that is not the same issue and most probably not RC.
Apologies for the confusion.

Kind regards

T.
-- 
Thomas Viehmann, http://thomas.viehmann.net/




Bug marked as fixed in version 0.2.5-1.1, send any further explanations to "brian m. carlson" <sandals@crustytoothpaste.ath.cx> Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Tue, 28 Oct 2008 18:39:03 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 0.2.5-1.1. Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Tue, 28 Oct 2008 18:39:04 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 0.2.5-1.1. Request was from Thomas Viehmann <tv@beamnet.de> to control@bugs.debian.org. (Tue, 28 Oct 2008 18:39:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 08:21:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:29:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.